<?php
//
// Recommended way to include parent theme styles.
//  (Please see http://codex.wordpress.org/Child_Themes#How_to_Create_a_Child_Theme)

//Include Child and Parent CSS
function cleanine_enqueue_styles() {
    
    wp_enqueue_style( 'cleanine-parent-style', get_template_directory_uri() . '/style.css' );
    
    wp_enqueue_style( 'cleanine-child-style',
        get_stylesheet_directory_uri() . '/style.css',
        array('cleanine-parent-style')
    );    
    
   
} 
add_action( 'wp_enqueue_scripts', 'cleanine_enqueue_styles' );

function cleanine_setup() {
	
	//Additional Top Menu
	register_nav_menus(
			array(
				'upper' => __( 'Topmost Menu', 'cleanine' ),
			)
		);
	
	//Support for header img
	add_theme_support( 'custom-header' );
	
}
add_action( 'after_setup_theme', 'cleanine_setup' );

//Customizer
function cleanine_customizer_settings( $wp_customize ) {
	
	
	
    $wp_customize->add_section(
        'cleanine_design_options',
        array(
            'title'     => __('Homepage Blog Layout','cleanine'),
        )
    );


    $wp_customize->add_setting(
        'cleanine_home_layout',
        array(
            'default' => 'cleanine',
            'sanitize_callback' => 'cleanine_sanitize_blog_layout',
        )
    );

    function cleanine_sanitize_blog_layout( $input ) {
        if ( in_array($input, array('twentynineteen','cleanine') ) )
            return $input;
        else
            return '';
    }

    $wp_customize->add_control(
        'cleanine_home_layout',array(
            'label' => __('Homepage Blog Layout','cleanine'),
            'description' => __('You can either use the Twenty Nineteen default layout. Also you can choose cleanine layout, which shows image on the left and content on the right. ','cleanine'),
            'settings' => 'cleanine_home_layout',
            'section'  => 'cleanine_design_options',
            'type' => 'select',
            'choices' => array(
                'twentynineteen' => __('Twenty Nineteen Layout','cleanine'),
                'cleanine' => __('Cleanine Layout','cleanine'),
            )
        )
    );



}
add_action( 'customize_register', 'cleanine_customizer_settings' );