<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Cleanine
 * @since 1.0.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('cleanine-layout'); ?>>

	<div class="entry-cleanine">		
		
		<div class="cleanine-layout-left">
			<?php
			if (has_post_thumbnail() ) 
				the_post_thumbnail( 'thumb' );	?>
		</div>
			
		<div class="cleanine-layout-right">
				
				<a href="<?php the_permalink() ?>"><?php the_title( '<h1 class="entry-title">', '</h1>' ); ?></a>
				
				<div class="entry-meta">
				<?php twentynineteen_posted_by(); ?>
				<?php twentynineteen_posted_on(); ?>
				<span class="comment-count">
					<?php
					if ( ! empty( $discussion ) ) {
						twentynineteen_discussion_avatars_list( $discussion->authors );
					}
					?>
					<?php twentynineteen_comment_count(); ?>
				</span>
				<?php
				// Edit post link.
					edit_post_link(
						sprintf(
							wp_kses(
								/* translators: %s: Name of current post. Only visible to screen readers. */
								__( 'Edit <span class="screen-reader-text">%s</span>', 'cleanine' ),
								array(
									'span' => array(
										'class' => array(),
									),
								)
							),
							get_the_title()
						),
						'<span class="edit-link">' . twentynineteen_get_icon_svg( 'edit', 16 ),
						'</span>'
					);
				?>
</div><!-- .meta-info -->
			
		</div>
		
		<div class="cleanine-excerpt">
				<?php the_excerpt(); ?>
			</div>

	</div><!-- .entry-content -->

</article><!-- #post-${ID} -->